Connexion

Forum

Logiciels » Autres logiciels [Réglé] Google Earth Requête HTTP non valide

Sbukx Membre non connecté

Rang

Avatar

Inscrit le : 15/08/2012 à 09h05

Localisation : Rhône Alpes

Messages: 97

Le 05/07/2013 à 20h37
Bonsoir,

Avec Google Earth 6.0.3.2197, depuis quelques jours j'ai ce message "Requête HTTP non valide" quand je fais une recherche.
Avez-vous ce problème? Une solution? Merci
   
PapyLinux Membre non connecté

Rang

Avatar

Inscrit le : 23/05/2011 à 20h37

Localisation : Saint-Germain-les-Corbeil

Messages: 849

Le 05/07/2013 à 20h40
Bonsoir,

j'ai la version 6.2.2.6613 et c'est la même chose.

JLB
   
Adrien.D Membre non connecté

Rang

Avatar

Webmaster Admin système

Inscrit le : 30/05/2011 à 18h36

Localisation : Dijon-21-FRA

Messages: 10322

Le 05/07/2013 à 23h08
Salut,

Idem, testé à l'instant

Peut être des soucis chez Google...


Config : PC Fixe : X470 GAMING PRO- AMD Ryzen 5 2600X - 16Go RAM - Radeon RX 560 (Pilote libre) - user_bar_calculate - GNOME Desktop - Kernel 4.19 LTS
Vice président de l'association COAGUL ("Côte-d’Or - Association Générale des Utilisateurs de Logiciels libres")
Webmaster de MageiaLinuxOnline uniquement. Pas de support de ma part.
Site web    
Sbukx Membre non connecté

Rang

Avatar

Inscrit le : 15/08/2012 à 09h05

Localisation : Rhône Alpes

Messages: 97

Le 08/07/2013 à 11h55
Petit up!

   
Pascaller Membre non connecté

Rang

Avatar

Inscrit le : 16/09/2011 à 21h09

Localisation : Le Havre

Messages: 256

Le 19/07/2013 à 18h22
Bonjour,

Une solution trouvée sur le forum Ubuntu
http://forum.ubuntu-fr.org/viewtopic.php?pid=14145701

Effacer le fichier /opt/google/earth/free/libcurl.so.4 et installer le cas échéant le paquet libcurl4-7.28.1-6.1.mga3.i586 à la place.

Pascal
   
Adrien.D Membre non connecté

Rang

Avatar

Webmaster Admin système

Inscrit le : 30/05/2011 à 18h36

Localisation : Dijon-21-FRA

Messages: 10322

Le 19/07/2013 à 18h32
Salut,

Super, Bien vu :super:


Config : PC Fixe : X470 GAMING PRO- AMD Ryzen 5 2600X - 16Go RAM - Radeon RX 560 (Pilote libre) - user_bar_calculate - GNOME Desktop - Kernel 4.19 LTS
Vice président de l'association COAGUL ("Côte-d’Or - Association Générale des Utilisateurs de Logiciels libres")
Webmaster de MageiaLinuxOnline uniquement. Pas de support de ma part.
Site web    
PapyLinux Membre non connecté

Rang

Avatar

Inscrit le : 23/05/2011 à 20h37

Localisation : Saint-Germain-les-Corbeil

Messages: 849

Le 19/07/2013 à 21h27
Bonsoir,

Merci Pascaller !
Il fallait la trouver cette astuce là :super:

JLB
   
Sbukx Membre non connecté

Rang

Avatar

Inscrit le : 15/08/2012 à 09h05

Localisation : Rhône Alpes

Messages: 97

Le 19/07/2013 à 21h50
Salut à tous,

Merci Pascaller! Je passe en résolu. A+
   
christian_fisch Membre non connecté

Rang

Avatar

Inscrit le : 24/03/2011 à 21h34

Localisation : Franche Comté

Messages: 1698

Le 07/08/2013 à 19h24
bonjour
Confirmation
Je ne trouve pas libcurl4-7.28.1-6.1.mga3.i586
Je viens d'utiliser le fichier
file:///usr/lib/libcurl.so.4.3.0
pour le copier (en root) à la place de libcurl.so.4
et GE fonctionne bien


Christian
   
Adrien.D Membre non connecté

Rang

Avatar

Webmaster Admin système

Inscrit le : 30/05/2011 à 18h36

Localisation : Dijon-21-FRA

Messages: 10322

Le 07/08/2013 à 19h38
Salut,

Code :
Mageia 3 Core Updates:

    libcurl4-7.28.1-6.1.mga3.i586.rpm - A library of functions for file transfer


Il y est bien :)


Config : PC Fixe : X470 GAMING PRO- AMD Ryzen 5 2600X - 16Go RAM - Radeon RX 560 (Pilote libre) - user_bar_calculate - GNOME Desktop - Kernel 4.19 LTS
Vice président de l'association COAGUL ("Côte-d’Or - Association Générale des Utilisateurs de Logiciels libres")
Webmaster de MageiaLinuxOnline uniquement. Pas de support de ma part.
Site web    
kalagani Membre non connecté

Rang

Avatar

Inscrit le : 10/03/2012 à 16h31

Localisation : Ile de france

Messages: 714

Le 03/12/2013 à 19h58
Bonjour,



pour info avec la version

google-earth-stable-7.1.1.1871-0

pas de de "Requête HTTP non valide" la recherche se fait au pb près déjà indiqué dans le topic Ubuntu

Citation :
Lors d'une recherche, l'image se dirige au dessus du continent Africain, je suis alors obligé de diriger et zoomer manuellement sur le point recherché.


lequel pb disparait si l'on lance googleearth tel qu'indiqué aussi dans ce topic

Citation :
sh -c 'export LC_NUMERIC="en_US-UTF-8" && /opt/google/earth/free/google-earth %f'


ceci malgré l'avertissement

Citation :
sh: avertissement :setlocale : LC_NUMERIC : impossible de changer le paramètre de langue (en_US-UTF-8) : Aucun fichier ou dossier de ce type


Nota: avec cette version de google, il n'y a pas de fichier libcurl ds /opt/google/earth/free/google-earth

Citation :
ll /opt/google/earth/free/libcurl*

ls: impossible d'accéder à /opt/google/earth/free/libcurl*: Aucun fichier ou dossier de ce type


PC1: HPxw9400 Mageia5 kernel panic 4.1.8 résolu en passant à Grub1
PC2: Dell Studio 540 Core2 Quad Q8300 en double boot: XPsp3/Mageia7 64bits Plasma+Gnome
   
kalagani Membre non connecté

Rang

Avatar

Inscrit le : 10/03/2012 à 16h31

Localisation : Ile de france

Messages: 714

Le 07/01/2014 à 16h07
Bonjour,
avec la version google-earth-stable-7.1.2.2041-0
résultats en tout point identique au post ci-dessus
mais pour éviter de lancer googleearth en ligne de commande on peut modifier le lancement dans le lanceur d'application.
Sous KDE:
Menu de lancement des applications (le chaudron en bas à gauche)-> clic droit->Modifier les applications...
chercher googleearth, chez moi dans Internet
dans Commande remplacer alors
Code TEXT :
/opt/google/earth/free/google-earth %f
par
Code TEXT :
sh -c 'export LC_NUMERIC="en_US-UTF-8" && /opt/google/earth/free/google-earth %f'

(Ne pas oublier le ' à la fin de la ligne...ni d'enregistrer la nouvelle commande...)
Sous Gnome et autres interfaces graphiques, il doit y avoir façon de faire de même!

Ainsi, via le lanceur, la recherche se fera bien et le message d'avertissement ne se verra pas!
La seule contrainte sera de ne pas utiliser les caractères accentués dans la barre de recherche de GE car ne passeront pas ...

Par contre, subsiste aussi avec cette version le pb d'image blanche avec Panoramio et photos dans un .kml ou .kmz
Pas d'affichage des images Panoramio Edité par kalagani Le 08/01/2014 à 10h56


PC1: HPxw9400 Mageia5 kernel panic 4.1.8 résolu en passant à Grub1
PC2: Dell Studio 540 Core2 Quad Q8300 en double boot: XPsp3/Mageia7 64bits Plasma+Gnome
   
kalagani Membre non connecté

Rang

Avatar

Inscrit le : 10/03/2012 à 16h31

Localisation : Ile de france

Messages: 714

Le 08/01/2014 à 10h50
Bonjour,
légère correction car il y a une petite erreur à l'origine dans la suggestion du post ubuntu:
dans la syntaxe de en_US-UTF-8 il faut en fait écrire en_US.UTF-8

Donc en ligne de commande ou en modification du lanceur d'application c'est:
Code TEXT :
sh -c 'export LC_NUMERIC="en_US.UTF-8" && /opt/google/earth/free/google-earth %f'

Ainsi le lancement en ligne de commande se fait sans warning et la recherche GE autorise les caractères accentués.

Cela ne résoud pas bien entendu le pb d'affichage des images Panoramio évoqué précédamment...


PC1: HPxw9400 Mageia5 kernel panic 4.1.8 résolu en passant à Grub1
PC2: Dell Studio 540 Core2 Quad Q8300 en double boot: XPsp3/Mageia7 64bits Plasma+Gnome
   
kalagani Membre non connecté

Rang

Avatar

Inscrit le : 10/03/2012 à 16h31

Localisation : Ile de france

Messages: 714

Le 20/12/2016 à 18h02
Hello,
kalagani :
Bonjour,
...
Donc en ligne de commande ou en modification du lanceur d'application c'est:
Code TEXT :
sh -c 'export LC_NUMERIC="en_US.UTF-8" && /opt/google/earth/free/google-earth %f'

Ainsi le lancement en ligne de commande se fait sans warning et la recherche GE autorise les caractères accentués.

Cela ne résoud pas bien entendu le pb d'affichage des images Panoramio évoqué précédamment...


il semblerait que les images Panoramio soient maintenant visibles avec la version 7.1.7.2606 du jeu. 06 oct. 2016
Caché :
[code=bash]rpm -qpi google-earth-stable_current_x86_64.rpm
Name : google-earth-stable
Version : 7.1.7.2606
Release : 0
Architecture: x86_64
Install Date: (not installed)
Group : Applications/Internet
Size : 197899454
License : Multiple, see http://www.google.com/earth
Signature : (none)
Source RPM : google-earth-stable-7.1.7.2606-0.src.rpm
Build Date : jeu. 06 oct. 2016 23:27:21 CEST
Build Host : keyhole-pulse-linux02.mtv.corp.google.com
Relocations : /opt
Packager : Google Earth Team <google-earth-support@google.com>
Vendor : Google Inc.
URL : http://www.google.com/earth
Summary : Google Earth
Description :
Explore, search and discover the planet

Google Earth lets you fly anywhere to see satellite imagery, 3D buildings, 3D trees, terrain, Street View, planets and much more.[/code

mais qu'il faille, lors d'une recherche, toujours appliquer l'astuce pour éviter que la mappemonde se place sur le golfe de Guinée au lieu du point recherché...
PS: testé en version Googleearth 64 bits sous Mageia5...64 bits...
et subsiste qu'une fois l'image Panoramio affichée, le déplacement dans les vignettes, via la flèche ou pas donne, comme avant, une image blanche pour cette seconde image...peux donc mieux faire... Edité par kalagani Le 20/12/2016 à 18h11


PC1: HPxw9400 Mageia5 kernel panic 4.1.8 résolu en passant à Grub1
PC2: Dell Studio 540 Core2 Quad Q8300 en double boot: XPsp3/Mageia7 64bits Plasma+Gnome
   
zalappy Membre non connecté

Rang

Avatar

Inscrit le : 28/07/2012 à 20h43

Messages: 760

Le 15/03/2018 à 12h49
zalappy :
Ya mieux:

Educatif > Géographie > Marble

Globe Virtuel Marble
(paquet : marble) il est inclus dans Mageia5 et6


C'est un globe terrestre avec plusieurs type cartes osm, etc... ça a l'air d'être un truc comme google earth, favoris.



Google earth c'est proprio, pourquoi n'essayez-vous pas Marble (qui est encore faiblement utilisé).
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie